Skip to main content
GET
/
ai-agents
/
agent-builder
/
agents
List Agents
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "uid": "agent-uuid-1234",
      "appId": "my-app-id",
      "name": "Support Agent",
      "icon": "https://example.com/icon.png",
      "isActive": true,
      "description": "A helpful support agent",
      "tools": [
        "gmail",
        "slack"
      ],
      "files": [],
      "websites": [],
      "otherKbIntegrations": [],
      "apiTools": [],
      "mcpServers": [],
      "frontendActions": [],
      "ragVersion": "v2",
      "lastMessageAt": 1700000000000,
      "instruction": "You are a helpful assistant",
      "formattedInstruction": "You are a helpful assistant",
      "metaData": {},
      "model": "gpt-4o-mini",
      "modelMetaData": {},
      "createdAt": 1700000000000,
      "updatedAt": 1700000000000
    }
  ],
  "meta": {
    "previous": {
      "affix": "prepend",
      "createdAt": 1700000000000
    },
    "current": {
      "limit": 123,
      "count": 123
    },
    "next": {
      "affix": "append",
      "createdAt": 1700000000000
    }
  }
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

limit
number
affix
enum<string>
Available options:
prepend,
append
createdAt
number

Search term to filter agents by name, description, or other fields

Response

Paginated list of agents

data
object[]
meta
object